/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 上架广告信息 GET /api/ParkOrHR/AdvertiseOffShelf */
export async function advertiseOffShelf(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIadvertiseOffShelfParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkOrHR/AdvertiseOffShelf', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 下架广告信息 GET /api/ParkOrHR/AdvertiseOnShelf */
export async function advertiseOnShelf(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIadvertiseOnShelfParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkOrHR/AdvertiseOnShelf', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 关注园区或人资企业 GET /api/ParkOrHR/AttentOrNot */
export async function attentOrNot(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIattentOrNotParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkOrHR/AttentOrNot', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 审核人资公司 POST /api/ParkOrHR/CheckParkOrHRAudit */
export async function checkParkOrHRAudit(
  body: API.CreateOrEditParkOrHRAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkOrHR/CheckParkOrHRAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建园区或人资企业 POST /api/ParkOrHR/CreateOrEditParkOrHR */
export async function createOrEditParkOrHR(
  body: API.CreateOrEditParkOrHRInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/ParkOrHR/CreateOrEditParkOrHR', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建或修改人资公司信息，走正常审核流程 POST /api/ParkOrHR/CreateOrEditParkOrHRWithAudit */
export async function createOrEditParkOrHRWithAudit(
  body: API.CreateOrEditParkOrHRInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/ParkOrHR/CreateOrEditParkOrHRWithAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 创建广告信息 POST /api/ParkOrHR/CreateParkOrHRAdvertise */
export async function createParkOrHRAdvertise(
  body: API.CreateParkOrHRAdvertiseInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/ParkOrHR/CreateParkOrHRAdvertise', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/ParkOrHR/GetAllParkOrHRList */
export async function getAllParkOrHRList(body: API.ParkHRInput, options?: API.RequestConfig) {
  return request<API.ParkOrHRList[]>('/api/ParkOrHR/GetAllParkOrHRList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取行业机构园区列表 POST /api/ParkOrHR/GetIndustryBodyParkOrHRList */
export async function getIndustryBodyParkOrHRList(
  body: API.ParkHRInput,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRListPageOutput>('/api/ParkOrHR/GetIndustryBodyParkOrHRList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/ParkOrHR/GetLock */
export async function getLock(options?: API.RequestConfig) {
  return request<number>('/api/ParkOrHR/GetLock', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取最大广告序列 GET /api/ParkOrHR/GetMaxAdvertiseSequence */
export async function getMaxAdvertiseSequence(options?: API.RequestConfig) {
  return request<number>('/api/ParkOrHR/GetMaxAdvertiseSequence', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取我的关注 POST /api/ParkOrHR/GetMyAttentions */
export async function getMyAttentions(body: API.GetMyAttentionsInput, options?: API.RequestConfig) {
  return request<API.ParkOrHRDtoPageOutput>('/api/ParkOrHR/GetMyAttentions', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取当前客户的人资公司信息(当有在审或驳回的审核信息时返回审核信息) GET /api/ParkOrHR/GetMyParkOrHRInfo */
export async function getMyParkOrHRInfo(options?: API.RequestConfig) {
  return request<API.MyParkOrHRInfoDto>('/api/ParkOrHR/GetMyParkOrHRInfo', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取园区客户 POST /api/ParkOrHR/GetParkCustomerList */
export async function getParkCustomerList(
  body: API.FrontHROfParkInput,
  options?: API.RequestConfig
) {
  return request<API.FrontHROfParkListPageOutput>('/api/ParkOrHR/GetParkCustomerList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取广告信息 GET /api/ParkOrHR/GetParkOrHRAdvertise */
export async function getParkOrHRAdvertise(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkOrHRAdvertiseParams,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRAdvertiseInfo>('/api/ParkOrHR/GetParkOrHRAdvertise', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取推荐园区信息 POST /api/ParkOrHR/GetParkOrHRAdvertiseForRecommend */
export async function getParkOrHRAdvertiseForRecommend(
  body: API.ParkHRForHomePageInput,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRDetailPageOutput>('/api/ParkOrHR/GetParkOrHRAdvertiseForRecommend', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取人资公司审核详情信息 GET /api/ParkOrHR/GetParkOrHRAuditInfoById */
export async function getParkOrHRAuditInfoById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkOrHRAuditInfoByIdParams,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRAuditInfoDto>('/api/ParkOrHR/GetParkOrHRAuditInfoById', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取人资公司审核分页列表 POST /api/ParkOrHR/GetParkOrHRAuditPage */
export async function getParkOrHRAuditPage(
  body: API.QueryParkOrHRAuditPageInput,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRAuditListDtoPageOutput>('/api/ParkOrHR/GetParkOrHRAuditPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取园区信息 POST /api/ParkOrHR/GetParkOrHRForFront */
export async function getParkOrHRForFront(
  body: API.ParkHRForHomePageInput,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRDetailPageOutput>('/api/ParkOrHR/GetParkOrHRForFront', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取我的企业 GET /api/ParkOrHR/GetParkOrHRForMy */
export async function getParkOrHRForMy(options?: API.RequestConfig) {
  return request<API.ParkOrHRList>('/api/ParkOrHR/GetParkOrHRForMy', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取园区或人资企业详情 GET /api/ParkOrHR/GetParkOrHRInfo */
export async function getParkOrHRInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkOrHRInfoParams,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRInfo>('/api/ParkOrHR/GetParkOrHRInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据用户ID获取园区或人资企业详情 POST /api/ParkOrHR/GetParkOrHRInfoByUserId */
export async function getParkOrHRInfoByUserId(
  body: API.GetParkOrHRInfoByUserInput,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRInfo>('/api/ParkOrHR/GetParkOrHRInfoByUserId', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取园区的信息 POST /api/ParkOrHR/GetParkOrHRList */
export async function getParkOrHRList(body: API.ParkHRInput, options?: API.RequestConfig) {
  return request<API.ParkOrHRListPageOutput>('/api/ParkOrHR/GetParkOrHRList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取审核列表 POST /api/ParkOrHR/GetParkOrHRListForCheck */
export async function getParkOrHRListForCheck(body: API.ParkHRInput, options?: API.RequestConfig) {
  return request<API.ParkOrHRListPageOutput>('/api/ParkOrHR/GetParkOrHRListForCheck', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取简单人资公司列表 POST /api/ParkOrHR/GetParkOrHRSimpleList */
export async function getParkOrHRSimpleList(
  body: API.QueryParkOrHRSimpleListInput,
  options?: API.RequestConfig
) {
  return request<API.ParkOrHRSimpleDto[]>('/api/ParkOrHR/GetParkOrHRSimpleList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/ParkOrHR/GetRandomNumber */
export async function getRandomNumber(options?: API.RequestConfig) {
  return request<string>('/api/ParkOrHR/GetRandomNumber', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/ParkOrHR/GetSerialNumber */
export async function getSerialNumber(options?: API.RequestConfig) {
  return request<string>('/api/ParkOrHR/GetSerialNumber', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 增加浏览记录 POST /api/ParkOrHR/ParkOrHRBrowse */
export async function parkOrHRBrowse(body: API.ProductViewInput, options?: API.RequestConfig) {
  return request<number>('/api/ParkOrHR/ParkOrHRBrowse', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更改状态 POST /api/ParkOrHR/SetStatus */
export async function setStatus(body: API.SetStatusInput, options?: API.RequestConfig) {
  return request<number>('/api/ParkOrHR/SetStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新广告信息 POST /api/ParkOrHR/UpdatParkOrHRAdvertise */
export async function updatParkOrHRAdvertise(
  body: API.UpdateProductAdvertiseInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkOrHR/UpdatParkOrHRAdvertise', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户增加广告 POST /api/ParkOrHR/UserCreateParkOrHRAdvertise */
export async function userCreateParkOrHRAdvertise(
  body: API.UserCreateParkOrHRAdvertiseInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/ParkOrHR/UserCreateParkOrHRAdvertise', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
